<!DOCTYPE HTML>
<html>
  <head>
    <meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
    <meta charset="utf-8">
    <meta name="description" content="Finite State Machine simulator for Deterministic Finite Automata". />

    <title>DFA Simulator</title>
    <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.0.custom.min.css" />
    <link rel="stylesheet" type="text/css" href="css/fsm.css" />
    <link rel="shortcut icon" href="favicon.ico" />
  </head>

  <body>
    <div id="tools">
      <div style="text-align:center;">
        </div>
		<br><br><br><br><br><br><br><br><br>
      <label><h3>Test / Debug:</h3></label>
      <input id="testString" type="text" value="" /><br />
      <div style="text-align:center;"><br>
        <button id="testBtn" onclick="fsm.test($('#testString').val());" class="image" title="Test">Check</button>
          </div>
      <div id="testResult">&nbsp;</div>

      <hr />

    
    </div>

    <div id="mainHolder">
      <h1 id="heading"><b><strong>
          Deterministic Finite Automata Simulator:</strong></b><br>
          <button class="delegate" disabled="disabled" title="Deterministic Finite Automaton">DFA</button>
      

          <button id="resetBtn" onclick="fsm.reset();" class="image" title="Reset">RESET</button>
          <select id="examples">
            <option value="">SELECT EXAMPLE</option>
          </select>
      </h1>
      <div id="machineGraph">
          <div id="dfaStatus" style="display:none;"></div>
      </div>
      <h5 id="bulkResultHeader" style="text-align:left;">
        
      </h5>
      
    </div>

 

    <div id="saveLoadDialog">
      <div id="saveLoadTabs">
        <ul>
          <li><a href="#browserStorage">Browser Storage</a></li>
          <li><a href="#plaintext">Plaintext</a></li>
          <li><a href="#shareableURL">Shareable URL</a></li>
        </ul>
        <div id="browserStorage">
          <input id="machineName" type="text" value="Machine Name" title="Machine Name" />
          <div>
            <ul id="storedMachines"></ul>
          </div>
        </div>
        <div id="plaintext"><textarea></textarea></div>
        <div id="shareableURL"><textarea></textarea></div>
      </div>
    </div>

    <script src="js/jquery-1.9.0.min.js"></script>
    <script src="js/jquery-ui-1.10.0.custom.min.js"></script>
    <script src="js/jquery.jsPlumb-1.3.16-all-min.js"></script>
    <script src="js/fsm_examples.js"></script>
    <script src="js/DFA.js"></script>
    <script src="js/fsm_ui.js"></script>
    <script src="js/dfa_delegate.js"></script>
    <!-- Piwik Analytics -->
		<script type="text/javascript">
			var _paq = _paq || [];
			_paq.push(["trackPageView"]);
			_paq.push(["enableLinkTracking"]);

			(function() {
				var u=(("https:" == document.location.protocol) ? "https" : "http") + "://analytics.serindu.com/";
				_paq.push(["setTrackerUrl", u+"piwik.php"]);
				_paq.push(["setSiteId", "1"]);
				var d=document, g=d.createElement("script"), s=d.getElementsByTagName("script")[0]; g.type="text/javascript";
				g.defer=true; g.async=true; g.src=u+"piwik.js"; s.parentNode.insertBefore(g,s);
			})();
		</script>
		<!-- End Piwik Code -->
  </body>
</html>
